# -*- rpm-spec -*-
%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global tryton_major 2.2
%global modname  sale-shipment-cost
%global pkgname %(echo \"%{name}\" | sed 's/-/_/g')

Name:           trytond-%{modname}
Version:        2.2.1
Release:        1%{?dist}
Summary:        %{modname} module for Tryton

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.tryton.org
Source0:        http://downloads.tryton.org/%{tryton_major}/%{pkgname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       tryton(kernel) = %{tryton_major}
Requires:       trytond-carrier
Requires:       trytond-sale
Requires:       trytond-currency
Requires:       trytond-account-invoice
Requires:       trytond-stock

%description
%{modname} module for Tryton application server.


%prep
%setup -q -n %{pkgname}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYRIGHT INSTALL LICENSE README
%{python_sitelib}/trytond/modules/*
%{python_sitelib}/%{pkgname}-%{version}-*.egg-info


%changelog
* Sun Jan 15 2012 Dan Horák <dan[at]danny.cz> - 2.2.1-1
- initial Fedora package
